Updates skill secret requirements.

PUThttps://api.awork.com/api/v1/agents/skills/{skillId}/secrets
PUT https://api.awork.com/api/v1/agents/skills/{skillId}/secrets

Replaces the list of secrets a skill needs and returns the resulting requirements.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

skillIdstringRequired
format: uuid

The skill ID.

Request body Required

The request payload.

application/json

requirementsarray of objectRequired

The full set of secret requirements for the skill.

Show 4 properties
envVarNamestringRequired
minLength: 1 maxLength: 100

The environment variable name the secret is injected as.

descriptionstring or nullOptional
maxLength: 500

The description shown to users when providing the secret.

scopestringRequired

Allowed: "workspace" "user"

minLength: 1

Who must provide the secret value.

isRequiredbooleanOptional

Whether the secret is required for the skill to work.

Responses

200 OK

application/json

idstringOptional
format: uuid

The secret requirement identifier.

envVarNamestring or nullOptional

The environment variable name the secret is injected as.

descriptionstring or nullOptional

The description shown to users when providing the secret.

scopestringOptional

Allowed: "workspace" "user"

Who must provide the secret value.

isRequiredbooleanOptional

Whether the secret is required for the skill to work.

hasValuebooleanOptional

Whether a value is available for the requesting user.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation